org.apache.http.auth

## Class UsernamePasswordCredentials

- java.lang.Object
- - org.apache.http.auth.UsernamePasswordCredentials

All Implemented Interfaces:
  Serializable, Credentials

    @Contract(threading=IMMUTABLE)
    public class UsernamePasswordCredentials
    extends Object
    implements Credentials, Serializable

Simple `Credentials` implementation based on a user name / password pair.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UsernamePasswordCredentials(String usernamePassword)` Deprecated. (4.5) will be replaced with `String`, `char[]` in 5.0
`UsernamePasswordCredentials(String userName, String password)` The constructor with the username and password arguments.

### Method Summary

Methods
`boolean` `equals(Object o)`
`String` `getPassword()`
`String` `getUserName()`
`Principal` `getUserPrincipal()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UsernamePasswordCredentials

    @Deprecated
    public UsernamePasswordCredentials(String usernamePassword)

Deprecated. (4.5) will be replaced with `String`, `char[]` in 5.0
The constructor with the username and password combined string argument.

Parameters:
  `usernamePassword` - the username:password formed string
See Also:
  `toString()`

#### UsernamePasswordCredentials

    public UsernamePasswordCredentials(String userName,
                               String password)

The constructor with the username and password arguments.

Parameters:
  `userName` - the user name
  `password` - the password

### Method Detail

#### getUserPrincipal

    public Principal getUserPrincipal()

Specified by:
  `getUserPrincipal` in interface `Credentials`

#### getUserName

    public String getUserName()

#### getPassword

    public String getPassword()

Specified by:
  `getPassword` in interface `Credentials`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`